summaryrefslogtreecommitdiffhomepage
path: root/macosx
diff options
context:
space:
mode:
authorStanislaw Halik <sthalik@misaki.pl>2015-07-22 07:21:12 +0200
committerStanislaw Halik <sthalik@misaki.pl>2015-07-22 07:22:32 +0200
commite09ca364443a8804b37a8df4d47957df554c7d87 (patch)
treeb12b8bf9b28f18e56d75bdb63046e46e0dc609ad /macosx
parentcf8a8bb0c196b095f0ee2fddd0a2952f568eacf9 (diff)
osx: app bundle depends on working directory
Tested-by: Ryan Spicer (@alterscape)
Diffstat (limited to 'macosx')
-rwxr-xr-xmacosx/opentrack.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/macosx/opentrack.sh b/macosx/opentrack.sh
index 62ad01a5..74a911e2 100755
--- a/macosx/opentrack.sh
+++ b/macosx/opentrack.sh
@@ -1,4 +1,6 @@
#!/bin/sh
-dir="$(dirname -- "$0")"
-exec "$dir"/opentrack.bin -platformpluginpath "$dir" "$@"
+cd -- "$(dirname -- "$0")" &&
+exec ./opentrack.bin -platformpluginpath "$(pwd)" "$@"
+
+exit 1